summarylogtreecommitdiffstats
path: root/masscode.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 15:08:35 +0800
committerzxp198210052024-03-22 15:08:35 +0800
commit9876c4f8213488ba877be5e3cd24eb51c3ac096c (patch)
tree68a65e392b8be1d6b40fb3ee67c55a8a8f300957 /masscode.sh
parentaef72212758db0243a621eb2ad0bf1d27cde4dea (diff)
downloadaur-masscode-bin.tar.gz
fix errors
Diffstat (limited to 'masscode.sh')
-rw-r--r--masscode.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/masscode.sh b/masscode.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/masscode.sh
+++ b/masscode.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file